<?php
/**
* @version		1.0.0 
* @author       fonclub
* @email        sfonclub@gmail.com
* @package		Joomla
* @subpackage	Virtuemart pricechanger
* @copyright	Copyright (C) 2012 WebseoMaster Studio. All rights reserved.
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');


class PricechangerViewPricechanger extends JView
{
    function display($tpl = null)
    {
        $app = new JApplication();
        $model =& $this->getModel();
        
        if(JRequest::getVar('post') == 'true'){       
        
            $upprice = (int)JRequest::getVar('upprice');
            $downprice = (int)JRequest::getVar('downprice');
            $id_manufacture = JRequest::getVar('id_manufacture');
            $id_category = JRequest::getVar('id_category', '', 'POST');
            $test = JRequest::getVar('test', 'off');
                                
            if($downprice and $upprice){
                $app->redirect('index.php?option=com_pricechanger','Определитесь, уменьшаем или увеличиваем?'); 
            }   
            
            if(!$id_category){
                $app->redirect('index.php?option=com_pricechanger','Выберите категорию');
            }     
            
            if($id_category and $id_manufacture){
                if(!$downprice and !$upprice){
                    $app->redirect('index.php?option=com_pricechanger','Введите проценты для увеличения или уменьшения цены');
                }
                            
                $products_in_cat = $model->getProductsByCat($id_category); /** получаем список товаров в категории*/
                if($products_in_cat){
                    $products = $model->getProductsByManufacture($id_manufacture,$products_in_cat); /** оставляем товары только нужного производителя*/
                    $result = '';
                    foreach($products as $product_id){
                        $result .= $model->changePriceProduct($product_id, $upprice, $downprice, $test);
                    }
                }
                else $result = 'Товаров, подходящих по параметров не найдено';                    
            }            
            $this->assignRef('result', $result);         
        }
        
        $manufactures = $model->list_manufacturer();                
        $this->assignRef('manufactures', $manufactures);     
        
        $categories = $model->list_categories("id_category[]", "", '', 10, false, true); 
        $this->assignRef('categories', $categories);          

        parent::display($tpl);
    }
    
}
?>
